Torna indietro   Hardware Upgrade Forum > Software > Linux, Unix, OS alternativi

Revolut per il trading di criptovalute: una piattaforma sicura e affidabile
Revolut per il trading di criptovalute: una piattaforma sicura e affidabile
Una delle funzioni più particolari di Revolut è la possibilità di effettuare facilmente e in sicurezza il trading di criptovalute, che potranno anche essere cedute a parenti e amici. Sono supportati Bitcoin, Ethereum, Litecoin, Stellar, Dogecoin e altre "monete. Per ridurre i rischi, è possibile indicare alla piattaforma un prezzo per la vendita e l'acquisto, così da limitare i danni nel caso di brusche oscillazioni del valore
Chi è Jen-Hsun 'Jensen' Huang, una vita a fare Nvidia
Chi è Jen-Hsun 'Jensen' Huang, una vita a fare Nvidia
Scopriamo chi è Jen-Hsun 'Jensen' Huang, il CEO di Nvidia, in un racconto non solo della sua vita ma anche legato ai quasi 30 anni di attività ai vertici di un'azienda che ha costruito il mercato dei videogiochi come lo conosciamo per concretizzare una visione che nei primi anni '90 pochi riuscivano a capire.
Google Fuchsia usa un microkernel. Qual è la differenza e perché è rilevante
Google Fuchsia usa un microkernel. Qual è la differenza e perché è rilevante
Google Fuchsia è un nuovo sistema operativo in sviluppo con una particolarità: utilizza Zircon, un microkernel. L'approccio progettuale è piuttosto differente rispetto ai sistemi operativi più diffusi, che usano perlopiù modelli ibridi. Vediamo come un approccio a microkernel potrebbe garantire a Google maggiore controllo sulle sue piattaforme come Android e Chrome OS
Tutti gli articoli Tutte le news

Vai al Forum
Rispondi
 
Strumenti
Old 11-02-2021, 00:05   #1
Davi-p
Junior Member
 
Iscritto dal: Dec 2007
Messaggi: 8
Software stampante

Salve, chi mi sa dire cosa fa questo script? E' contenuto in una stampante a getto.

Quote:
#! /bin/sh
#
# urandom This script saves the random seed between reboots.
# It is called from the boot, halt and reboot scripts.
#
# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
#

[ -c /dev/urandom ] || exit 0
#. /etc/default/rcS

case "$1" in
start|"")
if [ "$VERBOSE" != no ]
then
echo -n "Initializing random number generator... "
fi
# Load and then save 512 bytes,
# which is the size of the entropy pool
if [ -f /etc/random-seed ]
then
cat /etc/random-seed >/dev/urandom
fi
# check for read only file system
if ! touch /etc/random-seed 2>/dev/null
then
echo "read-only file system detected...done"
exit
fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
>/dev/null 2>&1 || echo "urandom start: failed."
umask 022
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
if ! /etc/random-seed 2>/dev/null
then
exit
fi
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
>/dev/null 2>&1 || echo "urandom stop: failed."
[ "$VERBOSE" != no ] && echo "done."
;;
*)
echo "Usage: urandom {start|stop}" >&2
exit 1
;;
esac
Davi-p è offline   Rispondi citando il messaggio o parte di esso
Old 11-02-2021, 07:42   #2
sacarde
Senior Member
 
Iscritto dal: Apr 2004
Messaggi: 9329
Quote:
urandom This script saves the random seed between reboots.
It is called from the boot, halt and reboot scripts.
questo script salva il "random seed" tra i riavvii
viene chiamato dagli script di avvio, stop e riavvio

Quote:
Tradotto dall'inglese-Un seme casuale è un numero usato per inizializzare un generatore di numeri pseudocasuali. Per un seme da utilizzare in un generatore di numeri pseudocasuali, non è necessario che sia casuale

pero' non capisco che cosa lo leghi alla stampante!

Ultima modifica di sacarde : 11-02-2021 alle 07:44.
sacarde è offline   Rispondi citando il messaggio o parte di esso
Old 11-02-2021, 09:34   #3
tec29
Member
 
Iscritto dal: Apr 2017
Messaggi: 63
Il random seed generator può essere usato dalle stampanti per creare job-id unici o qualcosa di simile. Non vedo nulla di potenzilamente maligno.
tec29 è offline   Rispondi citando il messaggio o parte di esso
Old 11-02-2021, 12:51   #4
Davi-p
Junior Member
 
Iscritto dal: Dec 2007
Messaggi: 8
Sono capace di tradurre la descrizione, ma non capivo la funzione.
Come fai a sapere che cerco qualcosa di maligno?
Comunque penso di aver capito a cosa serve, serve solo a mantenere funzionale il generatore di numeri casuali, poi a cosa servano i numeri casuali non credo lo scopriro'.. Grazie.
Davi-p è offline   Rispondi citando il messaggio o parte di esso
 Rispondi


Revolut per il trading di criptovalute: una piattaforma sicura e affidabile Revolut per il trading di criptovalute: una piat...
Chi è Jen-Hsun 'Jensen' Huang, una vita a fare Nvidia Chi è Jen-Hsun 'Jensen' Huang, una vita a...
Google Fuchsia usa un microkernel. Qual è la differenza e perché è rilevante Google Fuchsia usa un microkernel. Qual è...
Lenovo ThinkVision T34w, ultrawide 34 pollici per la produttività Lenovo ThinkVision T34w, ultrawide 34 pollici pe...
realme GT: prestazioni ed esperienza da top di gamma a 399 euro! La recensione realme GT: prestazioni ed esperienza da top di g...
Jeff Bezos dovrebbe comprare la Gioconda...
Cyberpunk 2077 di nuovo disponibile su P...
Questo smartwatch ha un doppio chipset e...
Pure ETCR, inzia da Vallelunga il campio...
OnePlus NORD 5G: ora a soli 297,99€ il m...
L'italiana Askoll presenta il motore per...
Windows 11 asfalta Windows 10 secondo i ...
Un wallbox automatico? ecco il progetto ...
Lanciarazzi a rete contro i droni: ecco ...
Amazon Prime Day 2021: le migliori offer...
Eset punta sui partner: le novità...
Amazon Prime Day 2021: i migliori videog...
Electronic Arts prepara un grosso annunc...
Omicidio in Grecia: colpevole incastrato...
Non solo Hyperloop: Ferrovie Italiane st...
VLC Media Player
Chromium
Google Chrome Portable
Dropbox
Opera Portable
Opera 77
K-Lite Codec Pack Update
K-Lite Mega Codec Pack
K-Lite Codec Pack Full
K-Lite Codec Pack Standard
K-Lite Codec Pack Basic
Firefox Portable
CCleaner Portable
CCleaner Standard
SmartFTP
Tutti gli articoli Tutte le news Tutti i download

Strumenti

Regole
Non Puoi aprire nuove discussioni
Non Puoi rispondere ai messaggi
Non Puoi allegare file
Non Puoi modificare i tuoi messaggi

Il codice vB è On
Le Faccine sono On
Il codice [IMG] è On
Il codice HTML è Off
Vai al Forum


Tutti gli orari sono GMT +1. Ora sono le: 14:54.


Powered by vBulletin® Version 3.6.4
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.
Served by www1v